## ros-lunar-geometric-shapes 0.5.4

=== debian/changelog ===
ros-lunar-geometric-shapes (0.5.4-0stretch) stretch; urgency=high

  * gracefully handle negative cylinder height: #64 <https://github.com/ros-planning/geometric_shapes/issues/64>, #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * clang-formatting of whole repo: #79 <https://github.com/ros-planning/geometric_shapes/issues/79>
  * operator<< for ShapeType: #80 <https://github.com/ros-planning/geometric_shapes/issues/80>
  * adaption to new CONSOLE_BRIDGE_logXXX API: #75 <https://github.com/ros-planning/geometric_shapes/issues/75>, #72 <https://github.com/ros-planning/geometric_shapes/issues/72>
  * [fix] box-ray intersection: #73 <https://github.com/ros-planning/geometric_shapes/issues/73>
  * Contributors: Dave Coleman, Leroy Rügemer, Malcolm Mielle, Mike Purvis, Robert Haschke, Michael Goerner

 -- Dave Coleman <dave@dav.ee>  Thu, 05 Apr 2018 23:00:00 -0000

ros-lunar-geometric-shapes (0.5.3-0stretch) stretch; urgency=high

  * [enhance] Add warning about common Assimp bug (#63 <https://github.com/ros-planning/geometric_shapes/issues/63>)
  * [maintenance] Update maintainers (#66 <https://github.com/ros-planning/geometric_shapes/issues/66>)
  * Contributors: Dave Coleman

 -- Dave Coleman <dave@dav.ee>  Sun, 26 Nov 2017 00:00:00 -0000

ros-lunar-geometric-shapes (0.5.2-0stretch) stretch; urgency=high

  * [fix] mesh with too many vertices (#39 <https://github.com/ros-planning/geometric_shapes/issues/39>) (#60 <https://github.com/ros-planning/geometric_shapes/issues/60>)
  * [fix] gcc6 build error (#56 <https://github.com/ros-planning/geometric_shapes/issues/56>)
  * [fix] Clear root transformation on imported Collada meshes. #52 <https://github.com/ros-planning/geometric_shapes/issues/52>
  * [improve] relax mesh containment test (#58 <https://github.com/ros-planning/geometric_shapes/issues/58>)
  * [maintenance] Switch boost::shared_ptr to std::shared_ptr. #57 <https://github.com/ros-planning/geometric_shapes/pull/57>
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Lukas Bulwahn, Maarten de Vries, Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Wed, 19 Oct 2016 23:00:00 -0000

ros-lunar-geometric-shapes (0.5.1-0stretch) stretch; urgency=high

  * add c++11 safe-guards to the respective headers (#51 <https://github.com/ros-planning/geometric_shapes/issues/51>)
    This is, to be polite and point problems that might arise it out to users.
  * Fix incorrect hint always sent to Assimp, improved STL reading (#24 <https://github.com/ros-planning/geometric_shapes/issues/24>)
  * Contributors: Dave Coleman, Michael Görner

 -- Ioan Sucan <isucan@google.com>  Mon, 22 Aug 2016 23:00:00 -0000

ros-lunar-geometric-shapes (0.5.0-0stretch) stretch; urgency=high

  * [fix] append cmake module path instead of prepending (#22 <https://github.com/ros-planning/geometric_shapes/issues/22>)
  * [fix] FindQhull with non-debian systems (#30 <https://github.com/ros-planning/geometric_shapes/issues/30>). See https://github.com/PointCloudLibrary/pcl/pull/852
  * [sys] Use std::shared_ptr for compatibility with FCL 0.5. #47 <https://github.com/ros-planning/geometric_shapes/issues/47>
  * [sys] Switch to eigen 3 (#46 <https://github.com/ros-planning/geometric_shapes/issues/46>)
  * [sys] Switched to C++11 #44 <https://github.com/ros-planning/geometric_shapes/issues/44>
  * [sys] add notice that project will be built in Release mode
  * [sys] Remove link_directories, deprecated assimp code
  * Contributors: Dave Coleman, Ioan A Sucan, Jochen Sprickerhof, Maarten de Vries, Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Sat, 30 Jul 2016 23:00:00 -0000

ros-lunar-geometric-shapes (0.4.4-0stretch) stretch; urgency=high

  * Merge pull request #37 <https://github.com/ros-planning/geometric_shapes/issues/37> from corot/indigo-devel
    Fix issue #28 <https://github.com/ros-planning/geometric_shapes/issues/28> on small radius cylinders
  * Contributors: Dave Coleman, Jorge Santos Simon

 -- Ioan Sucan <isucan@google.com>  Sun, 06 Mar 2016 00:00:00 -0000

ros-lunar-geometric-shapes (0.4.3-0stretch) stretch; urgency=high

  * add functions for better display of convex meshes
  * produce actual triangles for qhull mesh
  * Fixed inverted scale for convex meshes inside check
  * Contributors: Christian Dornhege, Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Wed, 29 Apr 2015 23:00:00 -0000

ros-lunar-geometric-shapes (0.4.2-0stretch) stretch; urgency=high

  * PR #32 <https://github.com/ros-planning/geometric_shapes/issues/32>
    Merge shape_tools package into geometric shapes
  * PR #33 <https://github.com/ros-planning/geometric_shapes/issues/33>
    Add run_depend on visualization_msgs
  * PR #26 <https://github.com/ros-planning/geometric_shapes/issues/26>
    Prevent every mesh generation opening a new file handle.
  * Contributors: Christian Dornhege, Dave Coleman, Jochen Sprickerhof, Michael Ferguson, Steven Peters

 -- Ioan Sucan <isucan@google.com>  Tue, 21 Apr 2015 23:00:00 -0000

ros-lunar-geometric-shapes (0.4.1-0stretch) stretch; urgency=high

  * update distro for travis testing. precise:=trusty
  * update to use debian console_bridge dependency. https://github.com/ros/rosdistro/issues/4633
  * Contributors: Ioan A Sucan, Tully Foote

 -- Ioan Sucan <isucan@google.com>  Sun, 06 Jul 2014 23:00:00 -0000

ros-lunar-geometric-shapes (0.4.0-0stretch) stretch; urgency=high

  * update usage of console_bridge to deal with version in Trusty
  * Merge pull request #13 <https://github.com/ros-planning/geometric_shapes/issues/13> from ros-planning/testing-in-travis
    Run local and moveit_core tests in Travis builds.
  * Merge pull request #18 <https://github.com/ros-planning/geometric_shapes/issues/18> from dirk-thomas/hydro-devel
    fix configure config.h.in when paths contain spaces fix #9 <https://github.com/ros-planning/geometric_shapes/issues/9>
  * Run local and moveit_core tests in Travis builds.

