=== debian/control ===
Source: ros-lunar-geometric-shapes
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libqhull-dev, pkg-config, ros-lunar-catkin (>= 0.5.68), ros-lunar-eigen-stl-containers, ros-lunar-octomap, ros-lunar-random-numbers, ros-lunar-resource-retriever, ros-lunar-rosunit, ros-lunar-shape-msgs, ros-lunar-visualization-msgs
Homepage: http://ros.org/wiki/geometric_shapes
Standards-Version: 3.9.2

Package: ros-lunar-geometric-shapes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libconsole-bridge-dev, libeigen3-dev, libqhull-dev, ros-lunar-eigen-stl-containers, ros-lunar-octomap, ros-lunar-random-numbers, ros-lunar-resource-retriever, ros-lunar-shape-msgs, ros-lunar-visualization-msgs
Description: This package contains generic definitions of geometric shapes and bodies.
